Bug 1293210 - [abrt] libreoffice-core: SwFlowFrm::BwdMoveNecessary(): soffice.bin killed by SIGSEGV
[abrt] libreoffice-core: SwFlowFrm::BwdMoveNecessary(): soffice.bin killed by...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:26923ee7e298ad7e70f165c34e5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-21 00:46 EST by Chen_Min_Chin
Modified: 2016-02-23 03:11 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-23 03:11:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (107.19 KB, text/plain)
2015-12-21 00:46 EST, Chen_Min_Chin
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-21 00:46 EST, Chen_Min_Chin
no flags Details
File: core_backtrace (26.62 KB, text/plain)
2015-12-21 00:46 EST, Chen_Min_Chin
no flags Details
File: dso_list (29.49 KB, text/plain)
2015-12-21 00:46 EST, Chen_Min_Chin
no flags Details
File: environ (1.45 KB, text/plain)
2015-12-21 00:46 EST, Chen_Min_Chin
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-21 00:46 EST, Chen_Min_Chin
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-21 00:46 EST, Chen_Min_Chin
no flags Details
File: maps (131.19 KB, text/plain)
2015-12-21 00:46 EST, Chen_Min_Chin
no flags Details
File: mountinfo (3.56 KB, text/plain)
2015-12-21 00:46 EST, Chen_Min_Chin
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-21 00:47 EST, Chen_Min_Chin
no flags Details
File: open_fds (4.16 KB, text/plain)
2015-12-21 00:47 EST, Chen_Min_Chin
no flags Details
File: proc_pid_status (1011 bytes, text/plain)
2015-12-21 00:47 EST, Chen_Min_Chin
no flags Details
File: var_log_messages (327 bytes, text/plain)
2015-12-21 00:47 EST, Chen_Min_Chin
no flags Details

  None (edit)
Description Chen_Min_Chin 2015-12-21 00:46:27 EST
Version-Release number of selected component:
libreoffice-core-5.0.3.2-12.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer sftp://192.168.200.5/home/liveuser/2TB-disk/Documents/%E7%A0%94%E7%99%BC%E6%9B%BF%E4%BB%A3%E5%BD%B9/104%E5%B9%B4/%E7%80%9A%E9%9C%96%E7%A7%91%E6%8A%80/%E7%80%9A%E9%9C%96%E7%AD%86%E8%A8%98.odt --splash-pipe=5
crash_function: SwFlowFrm::BwdMoveNecessary
executable:     /usr/lib64/libreoffice/program/soffice.bin
global_pid:     3826
kernel:         4.2.7-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 SwFlowFrm::BwdMoveNecessary at /usr/src/debug/libreoffice-5.0.3.2/sw/source/core/layout/flowfrm.cxx:285
 #1 SwTabFrm::ShouldBwdMoved at /usr/src/debug/libreoffice-5.0.3.2/sw/source/core/layout/tabfrm.cxx:3284
 #2 SwTabFrm::MakeAll at /usr/src/debug/libreoffice-5.0.3.2/sw/source/core/layout/tabfrm.cxx:2029
 #3 SwFrm::PrepareMake at /usr/src/debug/libreoffice-5.0.3.2/sw/source/core/layout/calcmove.cxx:340
 #4 lcl_InnerCalcLayout at /usr/src/debug/libreoffice-5.0.3.2/sw/source/core/layout/tabfrm.cxx:1466
 #7 lcl_RecalcRow at /usr/src/debug/libreoffice-5.0.3.2/sw/source/core/layout/tabfrm.cxx:1503
 #8 SwTabFrm::MakeAll at /usr/src/debug/libreoffice-5.0.3.2/sw/source/core/layout/tabfrm.cxx:2253
 #9 SwFrm::PrepareMake at /usr/src/debug/libreoffice-5.0.3.2/sw/source/core/layout/calcmove.cxx:340
 #10 SwFrm::MakePos at /usr/src/debug/libreoffice-5.0.3.2/sw/source/core/layout/calcmove.cxx:483
 #12 SwContentFrm::MakeAll at /usr/src/debug/libreoffice-5.0.3.2/sw/source/core/layout/calcmove.cxx:1229
Comment 1 Chen_Min_Chin 2015-12-21 00:46:38 EST
Created attachment 1108175 [details]
File: backtrace
Comment 2 Chen_Min_Chin 2015-12-21 00:46:40 EST
Created attachment 1108176 [details]
File: cgroup
Comment 3 Chen_Min_Chin 2015-12-21 00:46:43 EST
Created attachment 1108177 [details]
File: core_backtrace
Comment 4 Chen_Min_Chin 2015-12-21 00:46:46 EST
Created attachment 1108178 [details]
File: dso_list
Comment 5 Chen_Min_Chin 2015-12-21 00:46:47 EST
Created attachment 1108179 [details]
File: environ
Comment 6 Chen_Min_Chin 2015-12-21 00:46:48 EST
Created attachment 1108180 [details]
File: exploitable
Comment 7 Chen_Min_Chin 2015-12-21 00:46:50 EST
Created attachment 1108181 [details]
File: limits
Comment 8 Chen_Min_Chin 2015-12-21 00:46:57 EST
Created attachment 1108182 [details]
File: maps
Comment 9 Chen_Min_Chin 2015-12-21 00:46:59 EST
Created attachment 1108183 [details]
File: mountinfo
Comment 10 Chen_Min_Chin 2015-12-21 00:47:00 EST
Created attachment 1108184 [details]
File: namespaces
Comment 11 Chen_Min_Chin 2015-12-21 00:47:01 EST
Created attachment 1108185 [details]
File: open_fds
Comment 12 Chen_Min_Chin 2015-12-21 00:47:03 EST
Created attachment 1108186 [details]
File: proc_pid_status
Comment 13 Chen_Min_Chin 2015-12-21 00:47:04 EST
Created attachment 1108187 [details]
File: var_log_messages
Comment 14 David Tardon 2015-12-31 04:51:14 EST
Is this crash reproducible?
Comment 15 Caolan McNamara 2016-01-27 10:24:58 EST
pPage is null, but we need a reproducer document to see if fixing the local crash just pushed the crash elsewhere

Note You need to log in before you can comment on or make changes to this bug.